# GET /api/v1/org/{orgId}/teams

**Find Teams for Organization**

## List Teams

Get the Teams that belong to this StackHawk organization.

Returns a [paginated list](https://apidocs.stackhawk.com/docs/pagination-and-sorting) of Teams.

| Parameter | Default | Description |
|:---:|:---:|:---:|
|teams|[]|found list of teams.|
|nextPageToken|""|pageToken to provide for the next page of results.|
|totalCount|0|total number of results.|

All users that belong to this organization can call this endpoint.

> Requires `read:team` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `pageToken` (in: query, integer<int32>) — Pagination request page increment.
- `pageSize` (in: query, integer<int32>) — Pagination response size limit.
- `search` (in: query, string) — Filter teams by name pattern.

## Responses

### 200 — Paginated response of teams.

#### application/json

- `nextPageToken` (string) — pageToken to provide for the next page of results.
- `teams` (organization.Team[]) — found list of teams.
  - `applications` (organization.TeamApplication[]) — The applications that belong to this Team.
    - `applicationId` (string)
    - `applicationName` (string)
    - `environments` (string[])
    - `lastScanTimestamp` (integer<int64>)
  - `id` (string) — The UUID identifier of this team.
  - `name` (string) — The name of this team.
  - `organizationId` (string) — The StackHawk organization that owns this Team.
  - `users` (organization.TeamUser[]) — The users that are members of this Team.
    - `email` (string)
    - `role` (string)
    - `userId` (string)
    - `userName` (string)
- `totalCount` (integer<int64>) — total number of results.

#### application/x-protobuf

- `nextPageToken` (string) — pageToken to provide for the next page of results.
- `teams` (organization.Team[]) — found list of teams.
  - `applications` (organization.TeamApplication[]) — The applications that belong to this Team.
    - `applicationId` (string)
    - `applicationName` (string)
    - `environments` (string[])
    - `lastScanTimestamp` (integer<int64>)
  - `id` (string) — The UUID identifier of this team.
  - `name` (string) — The name of this team.
  - `organizationId` (string) — The StackHawk organization that owns this Team.
  - `users` (organization.TeamUser[]) — The users that are members of this Team.
    - `email` (string)
    - `role` (string)
    - `userId` (string)
    - `userName` (string)
- `totalCount` (integer<int64>) — total number of results.

### 401 — Unauthorized

- (no body)
